.TH strcasencmp() "" "" "Sockets Function (libsocket)"
.PC "Case-insensitive string comparison"
\fBint strcasencmp (\fIleft\^\fB, \fIright\^\fB, \fIn\^\fB)\fR
\fBchar *\fIleft\^\fB, *\fIright\^\fB;\fR
\fBint \fIn\^\fB;\fR
.PP
Function
.B strcasencmp()
compares the first
.I n
bytes of strings
.I left
and
.IR right .
It returns zero if the first
.I n
bytes of the strings are identical;
\-1 if
.I left
is lexigraphically less than (that is, occurs earlier in the alphabet) than
.IR right ;
or one if if
.I left
is lexicographically greater than
.IR right .
Unlike the function
.BR strncmp() ,
.B strcasencmp()
ignores case when it compares the strings.
.SH "See Also"
.Xr "libsocket," libsocket
.Xr "strncmp()," strncmp
.Xr "string.h" string.h
